﻿using C1.C1Preview;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PrintPreviewErrorCheck
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            var doc = new C1PrintDocument();
            var renderText = new RenderText("Hello World", new Font("Segoe UI", 26), AlignHorzEnum.Center);
            var renderImage = new RenderImage(Properties.Resources.sample);

            doc.Body.Children.Add(renderText);
            doc.Body.Children.Add(renderImage);

            c1PrintPreviewControl1.Document = doc;
        }
    }
}
